Subject: Re: Maximizing windows during "git log" locks mintty both in "Git for Windows" and cygwin 3.4.3
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Francesco Pretto <[email-masked]>
Date: Wed, 11 Jan 2023 02:02:50 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Tue, 10 Jan 2023 16:50:26 +0100
Francesco Pretto wrote:
> I want to report a bug in mintty that is mostly suffered by "Git for
> Windows" users, which in version 2.39.0.2 they are using mintty 3.6.1.
> The bug has been reported in this "Git for Windows" issue[1].
> Basically maximizing the mintty window during a "git log" session
> locks the tty session and the window must be quit/killed. I can
> reproduce within a vanilla cygwin mintty 3.6.3 session, which is
> present in the latest cygwin 3.4.3, using the same "Git for Windows"
> git binary. To reproduce;
> 
> - Open a cygwin mintty window, keep it **default** size, don't maximize here;
> - Go to a git repository directory;
> - Enter "git log" (I'm using the git binary from "Git for Windows",
> location "/cygdrive/c/Program Files/Git/cmd/git";
> - Maximize the window;
> - Try to exit "git log" by pressing "q" -> lock!

What does "uname -a" in Git for Windows say?

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple